﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Windows.Data;

namespace ComboBoxColumnSource
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            DataContext = new MainviewModel();
        }
    }

    public class MainviewModel
    {
        public MainviewModel()
        {
            GridSource = new List<GridData>
            {
                new GridData { User = 0 },
                new GridData { User = 2 },
                new GridData { User = 2 },
                new GridData { User = 1 },
                new GridData { User = 1 },
            };

            ComboSource = new List<ComboData>
            {
                new ComboData { ID = 0, Name = "User 1" },
                new ComboData { ID = 1, Name = "User 2" },
                new ComboData { ID = 2, Name = "User 3" },
            };
        }

        public List<GridData> GridSource { get; set; }
        public List<ComboData> ComboSource{ get; set; }
    }

    public class GridData
    {
        public int User { get; set; }
    }

    public class ComboData
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
